| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_VAutomationDelegate Class Reference

`#include <AAX_VAutomationDelegate.h>`

Inheritance diagram for AAX_VAutomationDelegate:
[legend]
Collaboration diagram for AAX_VAutomationDelegate:
[legend]

## Description

Version-managed concrete automation delegate class.

## Public Member Functions
| AAX_VAutomationDelegate (IACFUnknown *pUnknown)
| ~AAX_VAutomationDelegate () AAX_OVERRIDE
IACFUnknown * | GetUnknown () const
AAX_Result | RegisterParameter (AAX_CParamID iParameterID) AAX_OVERRIDE
AAX_Result | UnregisterParameter (AAX_CParamID iParameterID) AAX_OVERRIDE
AAX_Result | PostSetValueRequest (AAX_CParamID iParameterID, double iNormalizedValue) const AAX_OVERRIDE
AAX_Result | PostCurrentValue (AAX_CParamID iParameterID, double iNormalizedValue) const AAX_OVERRIDE
AAX_Result | PostTouchRequest (AAX_CParamID iParameterID) AAX_OVERRIDE
AAX_Result | PostReleaseRequest (AAX_CParamID iParameterID) AAX_OVERRIDE
AAX_Result | GetTouchState (AAX_CParamID iParameterID, AAX_CBoolean *outTouched) AAX_OVERRIDE
AAX_Result | ParameterNameChanged (AAX_CParamID iParameterID) AAX_OVERRIDE
Public Member Functions inherited from AAX_IAutomationDelegate
virtual | ~AAX_IAutomationDelegate ()
virtual AAX_Result | RegisterParameter (AAX_CParamID iParameterID)=0
virtual AAX_Result | UnregisterParameter (AAX_CParamID iParameterID)=0
virtual AAX_Result | PostSetValueRequest (AAX_CParamID iParameterID, double normalizedValue) const =0
virtual AAX_Result | PostCurrentValue (AAX_CParamID iParameterID, double normalizedValue) const =0
virtual AAX_Result | PostTouchRequest (AAX_CParamID iParameterID)=0
virtual AAX_Result | PostReleaseRequest (AAX_CParamID iParameterID)=0
virtual AAX_Result | GetTouchState (AAX_CParamID iParameterID, AAX_CBoolean *oTouched)=0
virtual AAX_Result | ParameterNameChanged (AAX_CParamID iParameterID)=0

## Constructor & Destructor Documentation

## ◆ AAX_VAutomationDelegate()

AAX_VAutomationDelegate::AAX_VAutomationDelegate | ( | IACFUnknown * | pUnknown | ) |

## ◆ ~AAX_VAutomationDelegate()

AAX_VAutomationDelegate::~AAX_VAutomationDelegate | ( |  | ) |

## Member Function Documentation

## ◆ GetUnknown()

IACFUnknown * AAX_VAutomationDelegate::GetUnknown | ( |  | ) | const
| inline

## ◆ RegisterParameter()

AAX_Result AAX_VAutomationDelegate::RegisterParameter | ( | AAX_CParamID | iParameterID | ) |
| virtual

Register a control with the automation system using a char* based control identifier

The automation delegate owns a list of the IDs of all of the parameters that have been registered with it. This list is used to set up listeners for all of the registered parameters such that the automation delegate may update the plug-in when the state of any of the registered parameters have been modified.

See also
  AAX_IAutomationDelegate::UnregisterParameter()

Parameters

  [in] | iParameterID | Parameter ID that is being registered

Implements AAX_IAutomationDelegate.

## ◆ UnregisterParameter()

AAX_Result AAX_VAutomationDelegate::UnregisterParameter | ( | AAX_CParamID | iParameterID | ) |
| virtual

Unregister a control with the automation system using a char* based control identifier

Note
  All registered controls should be unregistered or the system might leak.

See also
  AAX_IAutomationDelegate::RegisterParameter()

Parameters

  [in] | iParameterID | Parameter ID that is being registered

Implements AAX_IAutomationDelegate.

## ◆ PostSetValueRequest()

AAX_Result AAX_VAutomationDelegate::PostSetValueRequest | ( | AAX_CParamID | iParameterID,
|  | double | normalizedValue
| ) |  | const
| virtual

Submits a request for the given parameter's value to be changed

Parameters

  [in] | iParameterID | ID of the parameter for which a change is requested
  [in] | normalizedValue | The requested new parameter value, formatted as a double and normalized to [0 1]

Implements AAX_IAutomationDelegate.

## ◆ PostCurrentValue()

AAX_Result AAX_VAutomationDelegate::PostCurrentValue | ( | AAX_CParamID | iParameterID,
|  | double | normalizedValue
| ) |  | const
| virtual

Notifies listeners that a parameter's value has changed

Parameters

  [in] | iParameterID | ID of the parameter that has been updated
  [in] | normalizedValue | The current parameter value, formatted as a double and normalized to [0 1]

Implements AAX_IAutomationDelegate.

## ◆ PostTouchRequest()

AAX_Result AAX_VAutomationDelegate::PostTouchRequest | ( | AAX_CParamID | iParameterID | ) |
| virtual

Requests that the given parameter be "touched", i.e. locked for updates by the current client

Parameters

  [in] | iParameterID | ID of the parameter that will be touched

Implements AAX_IAutomationDelegate.

## ◆ PostReleaseRequest()

AAX_Result AAX_VAutomationDelegate::PostReleaseRequest | ( | AAX_CParamID | iParameterID | ) |
| virtual

Requests that the given parameter be "released", i.e. available for updates from any client

Parameters

  [in] | iParameterID | ID of the parameter that will be released

Implements AAX_IAutomationDelegate.

## ◆ GetTouchState()

AAX_Result AAX_VAutomationDelegate::GetTouchState | ( | AAX_CParamID | iParameterID,
|  | AAX_CBoolean * | oTouched
| ) |  |
| virtual

Gets the current touched state of a parameter

Parameters

  [in] | iParameterID | ID of the parameter that is being queried
  [out] | oTouched | The current touch state of the parameter

Implements AAX_IAutomationDelegate.

## ◆ ParameterNameChanged()

AAX_Result AAX_VAutomationDelegate::ParameterNameChanged | ( | AAX_CParamID | iParameterID | ) |
| virtual

Notify listeners that the parameter's display name has changed

Note that this is not part of the underlying automation delegate interface with the host; it is converted on the AAX side to a notification posted to the host via the AAX_IController .

Parameters

  [in] | iParameterID | ID of the parameter that has been updated

Implements AAX_IAutomationDelegate.

The documentation for this class was generated from the following file:

- AAX_VAutomationDelegate.h